Viewing Issue Advanced Details Jump to Notes ] c64.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05752 DIP/Input Major Always Oct 21, 2014, 16:50 Jun 6, 2015, 20:41
Tester trebor View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver c64.cpp
Version 0.155 Fixed in Version 0.163 Build Normal
Summary MESS-specific 05752: c64 c64p Bubble Bobble - All versions: c64 c64p No joy response for Player 1 controls under a two player game.
Description Under both NTSC and PAL C64 emulation, the joy mappings for Player 1 under Bobble Bubble - Which are linked to P2 Up, P2 Down, P2 Left, P2 Right, P2 Button 1 - does not respond.

Only Player 2 joy mappings (Which are linked to P1 Up, P1 Down, P1 Left, P1 Right, P1 Button 1) work.

This may be associated with previous reported issues of some games (I.E. G.I, Joe, Friday the 13th) not responding at all or incorrectly to joystick input as the hookup or link of 'joy' related devices may be broken or connected wrong somewhere/somehow.
Steps To Reproduce Load and Run a two player game of Bubble Bobble:

mess.exe c64p -joy1 joy -joy2 joy -flop1 "Path\To\ROM\BubbleBobble.d64"
or
mess.exe c64 -joy1 joy -joy2 joy -flop1 "Path\To\ROM\BubbleBobble.d64"

Player 1 will not respond - Only Player 2 will move.
Additional Information
Flags
Regression Version
Affected Sets / Systems c64 c64p Bubble Bobble - All versions
Attached Files
 


-  Notes
User avatar
No.11140
Tafoid
(Administrator)
Oct 21, 2014, 19:19
Please do not post new bugs until someone can look at them.
If you want to add games to this one that you find do not work, please do. Adding full reports for one game with the same causes is IMHO a waste of resources and time and I'd rather not see more new with bugs with issues of similar joystick breakage.
User avatar
No.11141
trebor
(Tester)
Oct 21, 2014, 19:57
Understood and appreciated, Tafoid. It wasn't until this game though that a connection (instead of 'one-offs'/game specific) truly became evident. Regardless, thank you.
User avatar
No.11158
trebor
(Tester)
Oct 22, 2014, 15:25
Here's the issue in a nutshell:

Real hardware & (Win)Vice:
Port #1 - Controls Player 2
Port #2 - Controls Player 1

MESS:
P1 Controls [=Slot Joy1] - Controls Player 2
P2 Controls [=Slot Joy2] - Not responding

Summary: "P2 Controls [=Slot Joy2]" is broken, not connected/hooked up, missing functionality.
User avatar
No.11164
trebor
(Tester)
Oct 22, 2014, 18:45
Additionally...and interestingly, in connection with the 'joy' problem, for California Games, Players (1 & 2) map to P2 Controls [=Slot Joy2] and works without problems unlike the other games: Grog's Revenge, Friday the 13th, Bubble Bobble, G.I. Joe - where players are mapped to P2 Controls [=Slot Joy2] and there is no response.

However, entering your name/typing key information results in odd/weird results under California Games. Sometimes it backspaces when hitting a letter or doubles letters to one adjacent to the key you are typing.

See some of the information here: http://gaming.stackexchange.com/questions/1616/why-did-many-commodore-64-games-require-the-joystick-to-be-in-port-2

There may be an issue the way MESS manages joysticks and (the interaction with) keyboard strokes as it to relates to actual C64 hardware behavior.

Here too: http://www.lemon64.com/forum/viewtopic.php?p=493409&sid=fc8072aa3c1d9a8d388418c625b43931
http://www.lemon64.com/forum/viewtopic.php?p=410793&sid=2fa41a0bf917c3c646afe23796c71948
User avatar
No.11719
trebor
(Tester)
Jun 6, 2015, 20:00
commit a2cadb6cf7adceb650ee2c97862692205680d8bb (patch) / SVN r38452
mos6526: Fixed port A/B read. [geecab]

See: http://forums.bannister.org/ubbthreads.php?ubb=showflat&Number=100021#Post100021

For that start of more details.

Joystick issue(s) fixed.
Game has been tested and confirmed fixed.